package com.unis.module.coding.dal.mysql.syxx;

import java.util.*;

import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.unis.framework.mybatis.core.mapper.BaseMapperX;
import com.unis.module.coding.dal.dataobject.syxx.SyxxDO;
import org.apache.ibatis.annotations.Mapper;
import com.unis.module.coding.controller.admin.syxx.vo.*;

/**
 * 损益信息 Mapper
 *
 * @author 超级管理员
 */
@Mapper
public interface SyxxMapper extends BaseMapperX<SyxxDO> {

    default PageResult<SyxxDO> selectPage(SyxxPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SyxxDO>()
                .eqIfPresent(SyxxDO::getCfId, reqVO.getCfId())
                .eqIfPresent(SyxxDO::getHwkId, reqVO.getHwkId())
                .orderByDesc(SyxxDO::getId));
    }

}